/* Typography ======================= */

body {
  color: var(--color-text);
  font-weight: var(--text-font-weight-regular);
  font-size: var(--text-size-main);
  line-height: var(--text-line-height-main);
  font-family: var(--font-family-main);
}

h1,
.h1 {
  color: var(--color-title);
  font-weight: var(--text-font-weight-bold);
  font-size: var(--text-size-h1);
  line-height: var(--text-line-height-title);
  font-family: var(--font-tovari-sans);
}

h2,
.h2 {
  color: var(--color-title);
  font-weight: var(--text-font-weight-bold);
  font-size: var(--text-size-h2);
  line-height: var(--text-line-height-title);
  font-family: var(--font-tovari-sans);
}

h3,
.h3 {
  color: var(--color-title);
  font-weight: var(--text-font-weight-bold);
  font-size: var(--text-size-h3);
  line-height: var(--text-line-height-title);
  font-family: var(--font-tovari-sans);
}

h4,
.h4 {
  color: var(--color-title);
  font-weight: var(--text-font-weight-bold);
  font-size: var(--text-size-h4);
  line-height: var(--text-line-height-title);
  font-family: var(--font-tovari-sans);
}

a[href *= "mailto:"],
a[href *= "tel:"] {

  &:hover {
    color: currentColor;
    text-decoration: none;
  }
}

p {
  line-height: var(--text-line-height-main);
}

a {
  color: var(--color-primary);
  font-size: var(--text-size-main);
  line-height: var(--text-line-height-main);
  text-decoration: underline;

  &:hover {
    color: var(--color-secondary);
    text-decoration: none;
  }
}
/* ================ end typography  */
